Bug 982350 - System freezes unless mouse/keyboard constantly used
System freezes unless mouse/keyboard constantly used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 14:44 EDT by gala_dragos
Modified: 2014-02-05 17:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:05:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages log file (2.14 MB, text/x-log)
2013-07-09 01:56 EDT, gala_dragos
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 643822 None None None Never

  None (edit)
Description gala_dragos 2013-07-08 14:44:58 EDT
Description of problem:
If you don't use the keyboard or mouse for a while the system freezes or the sound plays in a loop, if you were playing something.

Version-Release number of selected component (if applicable):
18

How reproducible:
don't use the keyboard or mouse

Expected results:
What do you think ? The system should work !

Additional info:
Same as this bug from Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/643822
Comment 1 Josh Boyer 2013-07-08 14:53:28 EDT
(In reply to gala_dragos from comment #0)
> Description of problem:
> If you don't use the keyboard or mouse for a while the system freezes or the
> sound plays in a loop, if you were playing something.
> 
> Version-Release number of selected component (if applicable):
> 18
> 
> How reproducible:
> don't use the keyboard or mouse
> 
> Expected results:
> What do you think ? The system should work !

I think this bug report is lacking any sort of relevant information.

> Additional info:
> Same as this bug from Ubuntu:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/643822

I think that bug is also fairly useless, even ignoring that it was reported against Ubuntu from almost 3 years ago.

What kernel(s) are you seeing this with?  Has it always happened, or is there a particular kernel version you started seeing this?  What is the latest kernel version you have tested?

Could you please attach the following as plain-text attachments:

1) dmesg
2) lsmod

Can you ssh into the machine when it's frozen?  If so, is there anything in dmesg or /var/log/messages that indicates a kernel panic or oops has happened?

What kind of machine is this?  Is the BIOS fully updated?

Do any of the suggestions for kernel options listed in the Ubuntu bug help?
Comment 2 gala_dragos 2013-07-09 01:44:31 EDT
lsmod:

Module                  Size  Used by
nf_conntrack_netbios_ns    12585  0 
nf_conntrack_broadcast    12487  1 nf_conntrack_netbios_ns
ipt_MASQUERADE         12760  1 
ip6table_mangle        12620  1 
ip6t_REJECT            12826  2 
nf_conntrack_ipv6      18318  23 
nf_defrag_ipv6         17824  1 nf_conntrack_ipv6
iptable_nat            12867  1 
nf_nat_ipv4            13039  1 iptable_nat
nf_nat                 24670  3 ipt_MASQUERADE,nf_nat_ipv4,iptable_nat
iptable_mangle         12615  1 
nf_conntrack_ipv4      14320  20 
nf_defrag_ipv4         12601  1 nf_conntrack_ipv4
xt_conntrack           12664  42 
nf_conntrack           74027  9 nf_conntrack_netbios_ns,ipt_MASQUERADE,nf_nat,nf_nat_ipv4,xt_conntrack,nf_conntrack_broadcast,iptable_nat,nf_conntrack_ipv4,nf_conntrack_ipv6
ebtable_filter         12715  0 
ebtables               21315  1 ebtable_filter
ip6table_filter        12711  1 
ip6_tables             17634  2 ip6table_filter,ip6table_mangle
rfcomm                 57618  6 
bnep                   18956  2 
fuse                   75772  5 
snd_hda_codec_hdmi     36248  1 
acpi_cpufreq           18972  0 
mperf                  12551  1 acpi_cpufreq
kvm_amd                50429  0 
kvm                   376966  1 kvm_amd
snd_hda_codec_realtek    36157  1 
snd_hda_intel          42620  3 
snd_hda_codec         155313  3 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_intel
snd_hwdep              13232  1 snd_hda_codec
snd_seq                54699  0 
snd_seq_device         13824  1 snd_seq
snd_pcm                85985  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
snd_page_alloc         13852  2 snd_pcm,snd_hda_intel
snd_timer              23742  2 snd_pcm,snd_seq
snd                    63246  15 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore              14123  1 snd
rc_winfast             12454  0 
tuner_simple           17839  1 
tuner_types            18927  1 tuner_simple
tda9887                17625  1 
tda8290                21980  0 
tea5767                12988  0 
tuner                  26824  2 
stir4200               17902  0 
irda                  104359  1 stir4200
cx8800                 32629  0 
cx88xx                 77138  1 cx8800
btcx_risc              13146  2 cx8800,cx88xx
tveeprom               16917  1 cx88xx
videobuf_dma_sg        18283  2 cx8800,cx88xx
videobuf_core          24013  3 videobuf_dma_sg,cx8800,cx88xx
rc_core                25510  3 cx88xx,rc_winfast
microcode              18726  0 
radeon                734439  2 
v4l2_common            15263  3 tuner,cx8800,cx88xx
ttm                    68214  1 radeon
videodev               97059  4 tuner,cx8800,cx88xx,v4l2_common
drm_kms_helper         44905  1 radeon
sp5100_tco             13643  0 
media                  19719  1 videodev
drm                   224444  4 ttm,drm_kms_helper,radeon
i2c_piix4              17682  0 
i2c_algo_bit           13065  2 cx88xx,radeon
i2c_core               28312  15 drm,tuner,i2c_piix4,drm_kms_helper,tda8290,tda9887,tea5767,i2c_algo_bit,cx8800,cx88xx,v4l2_common,tveeprom,radeon,tuner_simple,videodev
ppdev                  17363  0 
k10temp                12958  0 
btusb                  19102  0 
r8169                  61609  0 
crc_ccitt              12549  1 irda
bluetooth             316400  22 bnep,btusb,rfcomm
rfkill                 20748  2 bluetooth
parport_pc             27403  0 
parport                39143  2 ppdev,parport_pc
mii                    13311  1 r8169
uinput                 17297  0 
ata_generic            12790  0 
pata_acpi              12886  0 
firewire_ohci          35451  0 
firewire_core          55929  1 firewire_ohci
crc_itu_t              12549  1 firewire_core
pata_atiixp            13058  3 
wmi                    18273  0 
usb_storage            46753  0
Comment 3 gala_dragos 2013-07-09 01:53:06 EDT
>>> Is the BIOS fully updated?

I haven't seen a bios bug in more that a decade! Even so, the bios is up to date, and the whole system as well.

Here is my post to fedoraforum web site:
http://forums.fedoraforum.org/showthread.php?t=291675

This thing happened before but it fixed itself when I've enabled vsync on the proprietary ati driver.

I have applied the fix in the ubuntu thread to make the system usable again, the whole information is in that thread !

>>> I think this bug report is lacking any sort of relevant information.
Real bugs happen with no apparent reason!
Comment 4 gala_dragos 2013-07-09 01:56:08 EDT
Created attachment 770791 [details]
messages log file

Instead of dmesg,the actual log file that was written during the time I was trying to solve the problem.
Comment 5 gala_dragos 2013-07-09 02:01:27 EDT
>>> Can you ssh into the machine when it's frozen?
This isn't a server, it is a full desktop machine, for development usage. I do not have ssh enabled, but even if it would have been enabled, it would not do any good, any running app would freeze unless I press a key or move the mouse.


Again, to fix this weird behavior I've added "nolapic_timer" to kernel parameters and now I'm having no problem at all. This is the temporary fix stated in the Ubuntu thread.
Comment 6 Justin M. Forbes 2013-10-18 17:04:57 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 7 gala_dragos 2013-10-29 13:35:05 EDT
Sorry it took so long to test the new updates.

It DOESN'T WORK !

I still need nolapic_timer as boot parameter or else the system freezes when I don't use the mouse or keyboard.
Comment 8 Fedora End Of Life 2013-12-21 09:16:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 17:05:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.